Bug 1183423 - Change the copyright on all the Windows drivers to "2015" in virtio-win-prewhql build
Summary: Change the copyright on all the Windows drivers to "2015" in virtio-win-prew...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Vadim Rozenfeld
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-19 02:01 UTC by Mike Cao
Modified: 2015-11-24 08:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-24 08:48:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2513 normal SHIPPED_LIVE virtio-win bug fix and enhancement update 2015-11-24 13:38:38 UTC

Description Mike Cao 2015-01-19 02:01:06 UTC
affected package :virtio-win-prewhql-100

There are three places where we need to keep the date
updated - copyright, inf, and resource files.

 - We update copyright file manually every year.
 - Data in inf is always updated automatically as a part of
 build.
 - Resource files seem to be never been updated, we have to fix it asap.

Comment 2 Vadim Rozenfeld 2015-03-03 02:48:30 UTC
Should be fixed in build 101, available at http://download.devel.redhat.com/brewroot/packages/virtio-win-prewhql/0.1/101/win/virtio-win-prewhql-0.1.zip

Comment 3 lijin 2015-03-04 07:19:05 UTC
check with virtio-win-prewhql-101,copyright of netkvm.sys files in Vista,Win7 and Win8 folders are still 2008.
Copyright of other drivers are correct(20xx-2015).

Comment 4 Vadim Rozenfeld 2015-03-04 07:50:13 UTC
(In reply to lijin from comment #3)
> check with virtio-win-prewhql-101,copyright of netkvm.sys files in
> Vista,Win7 and Win8 folders are still 2008.
> Copyright of other drivers are correct(20xx-2015).

Thanks.
My fault, will fix it in the following build.

Comment 6 lijin 2015-03-11 07:40:43 UTC
check with build 102,all copyright of inf/sys files are updated to 20xx-2015.

There is a small issue,all viorng.inf file has no copyright mentioned in the first line as other drivers.

for example:
balloon.inf file begins with "Copyright (c) 2009-2015 Red Hat Inc."
then followed with [Version]xxxx;
viorng.inf just begins with [Version]xxxx,there is no copyright message.

Not sure this is important,please change the status to verified if this is indifferent.

Comment 8 lijin 2015-07-17 07:33:01 UTC
Hi dev,

could you help to reply comment#6?

Comment 9 Vadim Rozenfeld 2015-07-18 02:24:55 UTC
(In reply to lijin from comment #8)
> Hi dev,
> 
> could you help to reply comment#6?

Right, inf should be started with copyright block. 
Should be fixed in new build.

Comment 10 lijin 2015-07-31 06:54:25 UTC
(In reply to Vadim Rozenfeld from comment #9)
> (In reply to lijin from comment #8)
> > Hi dev,
> > 
> > could you help to reply comment#6?
> 
> Right, inf should be started with copyright block. 
> Should be fixed in new build.

Hi Vadim,

checked in build107,pvpanic inf files also have no copyright mentioned in the first line as other drivers.

Please have a check.

Comment 11 Vadim Rozenfeld 2015-07-31 06:58:58 UTC
(In reply to lijin from comment #10)
> (In reply to Vadim Rozenfeld from comment #9)
> > (In reply to lijin from comment #8)
> > > Hi dev,
> > > 
> > > could you help to reply comment#6?
> > 
> > Right, inf should be started with copyright block. 
> > Should be fixed in new build.
> 
> Hi Vadim,
> 
> checked in build107,pvpanic inf files also have no copyright mentioned in
> the first line as other drivers.
> 
> Please have a check.

Thanks, will add it in the next build.
Vadim.

Comment 12 Vadim Rozenfeld 2015-08-01 23:52:59 UTC
(In reply to lijin from comment #10)
> (In reply to Vadim Rozenfeld from comment #9)
> > (In reply to lijin from comment #8)
> > > Hi dev,
> > > 
> > > could you help to reply comment#6?
> > 
> > Right, inf should be started with copyright block. 
> > Should be fixed in new build.
> 
> Hi Vadim,
> 
> checked in build107,pvpanic inf files also have no copyright mentioned in
> the first line as other drivers.
> 
> Please have a check.

Should be fixed in b108, available at
https://brewweb.devel.redhat.com//buildinfo?buildID=450261

Best regards,
Vadim.

Comment 13 lijin 2015-09-02 07:37:39 UTC
check in latest virtio-win-prewhql-109,all copyright has been changed to "2015",so this issue has been fixed.

Change status to verified.

Comment 16 errata-xmlrpc 2015-11-24 08:48:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2513.html


Note You need to log in before you can comment on or make changes to this bug.